curl --request GET \
--url https://server.meetdoris.com/api/v1/ontology/types/{type_name} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"type": {
"name": "deal",
"properties": [
{
"name": "id",
"type": "string"
},
{
"name": "deal_name",
"type": "string"
},
{
"name": "amount",
"type": "number"
},
{
"name": "currency",
"type": "string"
},
{
"name": "pipeline",
"type": "string"
},
{
"name": "stage",
"type": "string"
},
{
"name": "stage_probability",
"type": "number"
},
{
"name": "close_date",
"type": "datetime"
},
{
"name": "create_date",
"type": "datetime"
},
{
"name": "days_in_stage",
"type": "number"
},
{
"name": "is_closed",
"type": "boolean"
},
{
"name": "is_won",
"type": "boolean"
},
{
"name": "closed_lost_reason",
"type": "string"
},
{
"name": "forecast_category",
"type": "string"
},
{
"name": "owner_name",
"type": "string"
},
{
"name": "owner_email",
"type": "string"
}
],
"expand_keys": [
{
"name": "stakeholders",
"target_type": "person",
"relation": "has_stakeholder"
},
{
"name": "objections",
"target_type": "objection",
"relation": "surfaced_objection"
},
{
"name": "commitments",
"target_type": "commitment",
"relation": "has_commitment"
},
{
"name": "competitors",
"target_type": "competitor",
"relation": "mentioned_competitor"
},
{
"name": "meetings",
"target_type": "meeting",
"relation": "has_meeting"
},
{
"name": "strategy",
"target_type": "strategy",
"relation": "has_strategy"
},
{
"name": "emails",
"target_type": "email",
"relation": "has_email"
},
{
"name": "agent_summary",
"target_type": "thread",
"relation": "has_agent_thread"
},
{
"name": "activity",
"target_type": "dossier_entry",
"relation": "has_activity"
},
{
"name": "insights",
"target_type": "knowledge",
"relation": "has_insight"
}
],
"computed_properties": [
"win_probability",
"linked_company_name"
]
}
}Returns the full schema for a specific type including properties, expand keys, and computed fields.
curl --request GET \
--url https://server.meetdoris.com/api/v1/ontology/types/{type_name} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"type": {
"name": "deal",
"properties": [
{
"name": "id",
"type": "string"
},
{
"name": "deal_name",
"type": "string"
},
{
"name": "amount",
"type": "number"
},
{
"name": "currency",
"type": "string"
},
{
"name": "pipeline",
"type": "string"
},
{
"name": "stage",
"type": "string"
},
{
"name": "stage_probability",
"type": "number"
},
{
"name": "close_date",
"type": "datetime"
},
{
"name": "create_date",
"type": "datetime"
},
{
"name": "days_in_stage",
"type": "number"
},
{
"name": "is_closed",
"type": "boolean"
},
{
"name": "is_won",
"type": "boolean"
},
{
"name": "closed_lost_reason",
"type": "string"
},
{
"name": "forecast_category",
"type": "string"
},
{
"name": "owner_name",
"type": "string"
},
{
"name": "owner_email",
"type": "string"
}
],
"expand_keys": [
{
"name": "stakeholders",
"target_type": "person",
"relation": "has_stakeholder"
},
{
"name": "objections",
"target_type": "objection",
"relation": "surfaced_objection"
},
{
"name": "commitments",
"target_type": "commitment",
"relation": "has_commitment"
},
{
"name": "competitors",
"target_type": "competitor",
"relation": "mentioned_competitor"
},
{
"name": "meetings",
"target_type": "meeting",
"relation": "has_meeting"
},
{
"name": "strategy",
"target_type": "strategy",
"relation": "has_strategy"
},
{
"name": "emails",
"target_type": "email",
"relation": "has_email"
},
{
"name": "agent_summary",
"target_type": "thread",
"relation": "has_agent_thread"
},
{
"name": "activity",
"target_type": "dossier_entry",
"relation": "has_activity"
},
{
"name": "insights",
"target_type": "knowledge",
"relation": "has_insight"
}
],
"computed_properties": [
"win_probability",
"linked_company_name"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.meetdoris.com/llms.txt
Use this file to discover all available pages before exploring further.
API key with sk-live- prefix. Generate keys from Console → API Keys in the Doris app.
deal, account, meeting, commitment, objection, competitor, tactic, strategy, document, person, artifact, pipeline, lead, insight